Bug 1033138 (CVE-2013-6375) - CVE-2013-6375 xen: Insufficient TLB flushing in VT-d (iommu) code
Summary: CVE-2013-6375 xen: Insufficient TLB flushing in VT-d (iommu) code
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-6375
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1033149
Blocks: 1033150
TreeView+ depends on / blocked
 
Reported: 2013-11-21 15:37 UTC by Petr Matousek
Modified: 2019-09-29 13:10 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 15:41:32 UTC


Attachments (Terms of Use)

Description Petr Matousek 2013-11-21 15:37:58 UTC
An inverted boolean parameter resulted in TLB flushes not happening upon clearing of a present translation table entry.  Retaining stale TLB entries could allow guests access to memory that ought to have
been revoked, or grant greater access than intended.

Malicious guest administrators might be able to cause host-wide denial of service, or escalate their privilege to that of the host.

References:
http://seclists.org/oss-sec/2013/q4/322

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 1 Petr Matousek 2013-11-21 15:41:32 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.

Comment 2 Petr Matousek 2013-11-21 15:46:57 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1033149]


Note You need to log in before you can comment on or make changes to this bug.